Bug 50109 - (Savage) DPMS not working with HP OmniBook XE3
(Savage) DPMS not working with HP OmniBook XE3
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-07-26 17:51 EDT by Enrico Scholz
Modified: 2007-04-18 12:35 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-03-07 10:25:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
/etc/X11/XF86Config-4 (2.11 KB, text/plain)
2001-07-26 17:54 EDT, Enrico Scholz
no flags Details
'lspci -vv' output (6.40 KB, text/plain)
2001-07-26 17:56 EDT, Enrico Scholz
no flags Details
XFree86 startup messages (9.42 KB, text/plain)
2001-07-26 17:57 EDT, Enrico Scholz
no flags Details

  None (edit)
Description Enrico Scholz 2001-07-26 17:51:51 EDT
Description of Problem:

DPMS is not working with an HP OmniBook XE3 (S3 Savage/MX chipset).
Diagnostic output (xset -q from remote host) tells monitor is
off/standby/suspend, but that's not the case.

DPMS features are working fine on the linux text-console.

How Reproducible:


Steps to Reproduce:
1. xset +dpms 
2. xset dpms force off
3. xset -q

Actual Results:

DPMS (Energy Star):
  Standby: 405    Suspend: 450    Off: 540
  DPMS is Enabled
  Monitor is Off

but monitor is still on

Expected Results:

monitor is off

Additional Information:

XFree86-4.1.0-0.8.6 (seen before also)
Comment 1 Enrico Scholz 2001-07-26 17:54:03 EDT
Created attachment 25127 [details]
Comment 2 Enrico Scholz 2001-07-26 17:56:36 EDT
Created attachment 25128 [details]
'lspci -vv' output
Comment 3 Enrico Scholz 2001-07-26 17:57:23 EDT
Created attachment 25129 [details]
XFree86 startup messages
Comment 4 Enrico Scholz 2001-07-26 18:04:02 EDT
Before you ask: same result when 'Option "SyncOnGreen"' is commented out

Comment 5 Glen Foster 2001-07-30 14:41:16 EDT
Is this with an external monitor, or with the internal panel? This should help
Comment 6 Enrico Scholz 2001-07-30 15:14:04 EDT
The described symptoms are with the internal panel. 

When using an external monitor (Belinea 107030) the monitor is flickering 3-4
seconds and goes into suspend mode then. While flickering the OSD tells "No
signal"; but when using DPMS of an MGA 450 or pulling out the cable the monitor
is not flickering and turns off immediately.
Comment 7 Mike A. Harris 2001-10-11 15:57:59 EDT
upgrade xscreensaver and gnome control center.
Comment 8 Enrico Scholz 2001-10-11 16:03:30 EDT
I am running

# rpm -q xscreensaver control-center

which seem to be the most recent versions. As told before I have used `xset'
directly which modifies the DPMS state directly without interfering with
Comment 9 Jay Turner 2002-03-07 10:15:50 EST
Is this still an issue?  The bug was sitting in a modified state, but nothing
appeared to have been modified :-)  Changing it to needinfo, awaiting feedback
from the user on the status of things.
Comment 10 Enrico Scholz 2002-03-07 10:24:55 EST
Yes, it is still an issue with XFree86-4.2.0-6.32
Comment 11 Mike A. Harris 2002-05-30 19:08:53 EDT
Please report this to the upstream driver maintainer Tim Roberts.
The only way this will realistically be a fixed/resolved issue we can
close, is if someone with the hardware, can both reproduce the problem,
troubleshoot and debug it, and fix it, and provide a patch.  That may
require having the documentation - which Tim Roberts presumeably has,
but which is not available freely.

So there is not much we can do about this unless it is fixed by upstream.
Closing bug WONTFIX.  Feel free to reopen bug if you discover a patch or
find out the upstream driver has fixed the problem and would like me
to update the code.

You can contact Tim directly at:  Tim Roberts <timr@probo.com>

Note You need to log in before you can comment on or make changes to this bug.